MediaservicesOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:mediaservices> attribute.

Inheritance
builtins.object
MediaservicesOperations

Constructor

MediaservicesOperations(*args, **kwargs)

Methods

begin_create_or_update

Create or update a Media Services account.

Creates or updates a Media Services account.

begin_update

Update a Media Services account.

Updates an existing Media Services account.

delete

Delete a Media Services account.

Deletes a Media Services account.

get

Get a Media Services account.

Get the details of a Media Services account.

list

List Media Services accounts.

List Media Services accounts in the resource group.

list_by_subscription

List Media Services accounts.

List Media Services accounts in the subscription.

list_edge_policies

List the media edge policies associated with the Media Services account.

List all the media edge policies associated with the Media Services account.

sync_storage_keys

Synchronizes Storage Account Keys.

Synchronizes storage account keys for a storage account associated with the Media Service account.

begin_create_or_update

Create or update a Media Services account.

Creates or updates a Media Services account.

async begin_create_or_update(resource_group_name: str, account_name: str, parameters: azure.mgmt.media.models._models_py3.MediaService, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.media.models._models_py3.MediaService]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

parameters
MediaService
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either MediaService or the result of cls(response)

Return type

Exceptions

begin_update

Update a Media Services account.

Updates an existing Media Services account.

async begin_update(resource_group_name: str, account_name: str, parameters: azure.mgmt.media.models._models_py3.MediaServiceUpdate, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.media.models._models_py3.MediaService]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

parameters
MediaServiceUpdate
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either MediaService or the result of cls(response)

Return type

Exceptions

delete

Delete a Media Services account.

Deletes a Media Services account.

async delete(resource_group_name: str, account_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get a Media Services account.

Get the details of a Media Services account.

async get(resource_group_name: str, account_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.MediaService

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

cls
callable

A custom type or function that will be passed the direct response

Returns

MediaService, or the result of cls(response)

Return type

Exceptions

list

List Media Services accounts.

List Media Services accounts in the resource group.

list(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.MediaServiceCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either MediaServiceCollection or the result of cls(response)

Return type

Exceptions

list_by_subscription

List Media Services accounts.

List Media Services accounts in the subscription.

list_by_subscription(**kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.MediaServiceCollection]

Parameters

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either MediaServiceCollection or the result of cls(response)

Return type

Exceptions

list_edge_policies

List the media edge policies associated with the Media Services account.

List all the media edge policies associated with the Media Services account.

async list_edge_policies(resource_group_name: str, account_name: str, parameters: azure.mgmt.media.models._models_py3.ListEdgePoliciesInput, **kwargs: Any) -> azure.mgmt.media.models._models_py3.EdgePolicies

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

parameters
ListEdgePoliciesInput
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

EdgePolicies, or the result of cls(response)

Return type

Exceptions

sync_storage_keys

Synchronizes Storage Account Keys.

Synchronizes storage account keys for a storage account associated with the Media Service account.

async sync_storage_keys(resource_group_name: str, account_name: str, parameters: azure.mgmt.media.models._models_py3.SyncStorageKeysInput, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

parameters
SyncStorageKeysInput
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>